| SOAP Methods | Rest Equivalent | Comments |
|---|---|---|
fetchAll | GET /season_sets | |
fetchAllInSeason | GET /season_sets?in_season | For Rest API, the in _season query parameter of datetime Type.is |
fetchAllOffSeason | GET /season_sets?off_season | For Rest API, the off _season query parameter is of datetime Type. |
fetchByMerchantSeasonSetId | GET /season_sets/<seasonset> | |
fetchByVid | GET /season_sets/<seasonset> | |
fetchCurrentSeason | GET /season_sets/<seasonset>/seasons? current_season | For Rest API, the current _season query parameter is of datetime Type. |
fetchNextSeason | GET /season_sets/seasonset/seasons? next_season | For Rest API, the next _season query parameter is of datetime Type. |
isInSeason | GET /season_sets/<seasonset>/seasons?current_season | For REST, if any seasons are returned, then it’s an indication that the season set is in-season. |
update | POST /season_sets/<seasonset> |
Season Set Methods Mapping
The following table contains SeasonSet SOAP methods and the equivalent REST operations:
Parent topic:Operations Mapping

